Subject: Re: [bitcoin-dev] Hardfork bit BIP

From: Gregory Maxwell <[email-masked]>
Date: Thu, 4 Feb 2016 19:36:58 +0000

On Thu, Feb 4, 2016 at 5:14 PM, jl2012 via bitcoin-dev
<[email-masked]> wrote:
> https://github.com/bitcoin/bips/pull/317

I think this is a good idea, and I've independently proposed it in the past.

I agree with most of luke's language nitpicks.

It could, however, be pointed out that the version number flag is not
sufficient in the deployed network, because many clients also do not
validate the version field, due to a disinterest in security great
enough to not implement anything around height-in-coinbase.

So to fully achieve the intended effect using the highest bit of prev
would currently be much more effective.